Bug 165086 - spec file changes required with latest rpm config
spec file changes required with latest rpm config
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Depends On:
  Show dependency treegraph
Reported: 2005-08-04 05:56 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-17 16:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2005-08-04 05:56:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050729 Fedora/1.1-0.2.5.deerpark.alpha2 Firefox/1.0+

Description of problem:
rpm now creates .pyo files with brp-python-bytecompile. Those files aren't
in the filelist created by 'python setup.py ... --record'.
Therefore rebuilds on a current rawhide system fail with 'Installed (but unpackaged) file(s) found'

Either find a way to prevent running brp-python-bytecompile, or include the .pyo files in the filelist.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rebuild on a current rawhide system 

Additional info:

This should be fixed before the next massrebuild
Comment 1 Robin Norwood 2006-10-17 16:19:45 EDT
rhn-applet is no longer in fedora.

Note You need to log in before you can comment on or make changes to this bug.